Package org.apache.cayenne.dba.sqlserver

# Class SQLServerBatchAction

java.lang.Object
org.apache.cayenne.access.jdbc.BaseSQLAction
org.apache.cayenne.access.jdbc.BatchAction
org.apache.cayenne.dba.sqlserver.SQLServerBatchAction

All Implemented Interfaces:
  `SQLAction`

public class SQLServerBatchAction extends BatchAction

Since:
  1.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.access.jdbc.BatchAction

  `keyRowDescriptor, query, runningAsBatch`

  ### Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

  `dataNode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLServerBatchAction(BatchQuery batchQuery, DataNode dataNode, boolean runningAsBatch)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `expectsToOverrideIdentityColumns()`
  Returns whether a table has identity columns.
  `void`
  `performAction(Connection connection, OperationObserver observer)`
  Executes a query using a strategy defined by the implementation.
  `protected void`
  `setIdentityInsert(Connection connection, boolean on)`

  ### Methods inherited from class org.apache.cayenne.access.jdbc.BatchAction

  `canRunAsBatch, createTranslator, getQuery, hasGeneratedKeys, prepareStatement, processGeneratedKeys, processGeneratedKeys, runAsBatch, runAsIndividualQueries, supportsGeneratedKeys`

  ### Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

  `getInMemoryOffset, readResultSet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SQLServerBatchAction

    public SQLServerBatchAction(BatchQuery batchQuery, DataNode dataNode, boolean runningAsBatch)

- ## Method Details

  - ### performAction

    public void performAction(Connection connection, OperationObserver observer) throws SQLException, Exception
    Description copied from interface: `SQLAction`
    Executes a query using a strategy defined by the implementation.
    Specified by:
      `performAction` in interface `SQLAction`
    Overrides:
      `performAction` in class `BatchAction`
    Throws:
      `SQLException`
      `Exception`

  - ### setIdentityInsert

    protected void setIdentityInsert(Connection connection, boolean on) throws SQLException
    Throws:
      `SQLException`

  - ### expectsToOverrideIdentityColumns

    protected boolean expectsToOverrideIdentityColumns()
    Returns whether a table has identity columns.